﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Web.DynamicData;
using System.ComponentModel.DataAnnotations;
/// <summary>
/// Summary description for Order
/// </summary>
[MetadataType(typeof(OrderMetaData))]
public partial class Order
{

}

public partial class OrderMetaData
{

    [UIHint("IG_DateTime_WebDateTime")]
    public object OrderDate;
    
    [UIHint("IG_DateTime_WebCalendarView")]
    public object RequiredDate;

    [UIHint("IG_DateTime_WebCalendarView")]
    public object ShippedDate;

    [UIHint("IG_Decimal_WebCurrency")]
    //Todo - be sure to localize error messages.  The WebCurrencyEditor will localize the value for you automatically
    [Required(ErrorMessage = "You need to specify the freight cost, in a value between $0 and $1000.00")]
    [Range(0,1000, ErrorMessage = "Unit Price must be between 0 and 1000")]
    public object Freight;

}